import type { IterativeMap } from './types';
export declare function checkImportError({ inputDir, mainPages, subPackagesMap, iterativeMap, }: {
    inputDir: string;
    mainPages: string[];
    subPackagesMap: Record<string, string>;
    iterativeMap: IterativeMap;
}): never[] | Record<string, {
    subPackages: string[];
    curSubPackages: string[];
    mainError: boolean;
    subPackageError: boolean;
}>;
