import type { GetModuleInfo } from 'rollup';
import type { IterativeMap, IDispatchScriptOptions } from './types';
export declare const circularSet: Set<string>;
export declare function findImporters({ id, importChain, getModuleInfo, getModuleIds, pre, inputDir, iterativeMap, }: {
    id: string;
    pre: Array<string>;
    inputDir: string;
    getModuleIds: Function;
    getModuleInfo: Function;
    importChain: Array<string>;
    iterativeMap: IterativeMap;
}): string[];
export declare function getPagesJson(inputDir: string, options?: IDispatchScriptOptions): {
    mainPages: string[];
    subPackagesMap: Record<string, string>;
};
export declare function checkSubPackage({ inputDir, mainPages, subPackagesMap, deps, }: {
    inputDir: string;
    mainPages: string[];
    subPackagesMap: Record<string, string>;
    deps: string[];
}): string[];
export declare function staticImportedByEntry(id: string, getModuleInfo: GetModuleInfo, cache: Map<string, boolean>, importStack?: string[]): boolean;
