export type IDispatchScriptOptions = {
    dispatchDir?: string;
    blackList?: Array<string | RegExp>;
    whiteList?: Array<string | RegExp>;
    maxLogNumber?: number;
};
export type PagesJson = {
    pages?: Array<{
        path: string;
    }>;
    subPackages: Array<{
        root: string;
        pages: Array<{
            path: string;
        }>;
    }>;
};
export type Bundle = any;
export type IterativeMap = Record<string, {
    parsedId?: string;
    dynamic: string[];
    importers: string[];
}>;
